#
# spec file for package urlscan
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           urlscan
Version:        0.8.6
Release:        lp150.1.3
Summary:        An other URL extractor/viewer
License:        GPL-2.0
Group:          Productivity/Networking/Web/Browsers
Url:            https://github.com/firecat53/urlscan
Source0:        https://github.com/firecat53/urlscan/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        muttrc
Requires:       python-urwid
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%description
The urlscan utility displays URLs found in an email message with
the respective context. Selecting an URL uses the Python webbrowser
module to determine which browser to open. It also supports
quoted-printable and base64 encoding.

%prep
%setup -q

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
rm -rf %{buildroot}/usr/share/doc/%{name}*
mkdir -p %{buildroot}%{_defaultdocdir}/%{name}
install -m 0644 %{S:1} %{buildroot}%{_defaultdocdir}/%{name}

%files
%defattr(-,root,root)
%doc README.rst COPYING
%{_bindir}/%{name}
%{python_sitelib}/*
%{_mandir}/man1/%{name}.1.gz
%doc %{_defaultdocdir}/%{name}/muttrc

%changelog
* Tue Jul  4 2017 werner@suse.de
- Update to version 0.8.6
  * Fix tag mismatch in setup.py
  * Fix #27 (URLs in markdown links)
  * Tweak email address recognition
  * Add ability to toggle context view
  * Cleanup, commenting, add keyboard hints in the header
  * Add shortening and toggling shortening of URLs
  * Restructure URLChooser for current urwid best practices
  * Update tlds list
  * Replace AttrWrap (deprecated) with AttrMap
  * Highlight selected URL. Fix #17
  * Implement #21 (Option to remove duplicate URLs)
* Mon Mar 13 2017 werner@suse.de
- Reflect change in build system and/or rpmbuild now adding the package
  default documentation tree only as directory now
* Mon Feb 13 2017 werner@suse.de
- Inital package urlscan 0.8.3 which is an replacement for urlview
